#
# spec file for package mirror (Version 2.9)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

%define _use_internal_dependency_generator 0

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_archlib %(eval "`perl -V:archlib`"; echo $archlib)
%define perl_privlib %(eval "`perl -V:privlib`"; echo $privlib)

Name:         mirror
License:      Other License(s), see package
Group:        Productivity/Networking/Web/Utilities
Version:      2.9
Release:      1%{?dist}
Summary:      Perl Scripts for Mirroring FTP Servers
URL:          http://sunsite.org.uk/packages/mirror/
Source:       ftp://sunsite.org.uk/packages/mirror/%{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.patch
Patch1:       %{name}-%{version}.ftp-ls-timeout.patch
Patch2:       %{name}-%{version}.y2k-fix.patch
Patch3:       %{name}-%{version}.name_map-default.patch
Patch4:       %{name}-%{version}.gzip.patch
Patch5:       mirror-exec-path.dif
Patch99:      %{name}-%{version}.bp.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreqprov:  off
BuildRequires: perl >= 5.8.0
Requires: perl >= 5.8.0

%description
Documentation: "man mirror" and "man mm".

Authors:
--------
    Lee McLoughlin <lmjm@doc.ic.ac.uk>

%prep
%setup -c
%patch
%patch1
%patch2
%patch3
%patch4
%patch5 -p0
%patch99

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{perl_vendorlib}
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%
make "DESTDIR=$RPM_BUILD_ROOT" install PLDIR=%{perl_vendorlib}
pushd $RPM_BUILD_ROOT/usr/bin/ ; {
  ln -sf mirror-master mm
} ; popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt *.html mirror-on-dusk.gif mirror.defaults
%{perl_vendorlib}/*
/usr/bin/*
%doc %{_mandir}/man1/*

%changelog -n mirror
* Wed Nov 10 2010 - vvm@mammoth.jinr.ru
- build for SL5
* Tue Jun 21 2005 - vvm@mammoth.jinr.ru
- build for RHEL3
- tuning lof format to URL
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - ro@suse.de
- install perl stuff to vendor location
* Fri Jul 19 2002 - poeml@suse.de
- mirror-master: 'exec ./mirror' -> 'exec mirror'
* Fri Mar 15 2002 - ro@suse.de
- switch default from compress to gzip
- remove requires to compress
* Tue Jul 31 2001 - adostal@suse.cz
- convert gz to bz2 and dif to patch
* Wed May 09 2001 - draht@suse.de
- s/unallowed/illegal/
  Language problem fixed in mirror-2.9.dif
* Mon Mar 12 2001 - draht@suse.de
- added y2k fix provided by Andreas Schwab against dateconv.pl,
  mirror-2.9.y2k-fix.dif
- added fix against timeouts in directory listings
  mirror-2.9.ftp-ls-timeout.dif
- added change against ".." in pathnames provided from remote,
  mirror-2.9.name_map-default.dif (against mirror.defaults).
* Thu Nov 09 2000 - cihlar@suse.cz
- clean up spec file
- fixed file list
* Fri Jul 21 2000 - cihlar@suse.cz
- added more documentation
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Wed Apr 05 2000 - cihlar@suse.cz
- added BuildRoot
- clean up spec file
* Fri Jan 21 2000 - ro@suse.de
- manpages to /usr/share/man
* Mon Dec 06 1999 - ro@suse.de
- update to 2.9
- config-file "mirror.defaults" resides in perl_sitelib now
- re-added security patch
- added requires compress
* Sun Nov 07 1999 - ro@suse.de
- removed ~ from deny-list
* Thu Sep 30 1999 - bs@suse.de
- applied security fix for german umlauts etc.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Oct 22 1998 - bs@suse.de
- added package name to mail subject.
* Fri Oct 16 1998 - bs@suse.de
- added ftp.pl lchat.pl lsparse.pl with some fixes to get passive ftp working.
* Tue May 27 1997 - florian@suse.de
- new version 2.8.f4
- include chat2.pl, as perl5.004 does not
* Tue Mar 18 1997 - bs@suse.de
- echo how many files to get even if debug is disabled.
* Thu Jan 02 1997 - bs@suse.de
- printing how many files are left.
- 'timezone-confusion-patch' by emoenke@gwdg.de
* Thu Jan 02 1997 - florian@suse.de
- added some known bug-fixes to mirror
- made it work with perl5.003
